SAP Knowledge Base Article - Preview

2562276 - Error UnsupportedClassVersionError when testing or starting a dispatcher as of IDM 8.0 SP5

Symptom

  • If IDM runtime is installed on Windows host, when starting a dispatcher in Dispatcher Utility, error "Windows could not start the service" happens. Below exception shows in Windows event log:
     
    MxDispatcher_<dispatcher name>: JNI error finding main class. - Exception: "java.lang.UnsupportedClassVersionError: com/sap/idm/ic/services/dispatcher/MxDispatcher has been compiled by a more recent version of the Java Runtime (class file version 52.0), this version of the Java Runtime only recognizes class file versions up to <some version>"
     
    Same exception happens when testing this dispatcher.
  • If IDM runtime is installed on Unix host, below similar exception happens when testing a dispatcher:
     
    Exception in thread "main" java.lang.UnsupportedClassVersionError: com/sap/idm/ic/services/dispatcher/MxDispatcher : Unsupported major.minor version 52.0

Read more...

Environment

SAP Identity Management 8.0 SP5 or higher

Product

SAP Identity Management 8.0

Keywords

IDM dispatcher JRE , KBA , BC-IAM-IDM , Identity Management , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.